#
#   Copyright (c) 2013-2015, Scott J Maddox
#
#   This file is part of openbandparams.
#
#   openbandparams is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published
#   by the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   openbandparams is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with openbandparams.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################

from .reference import BibtexReference


vurgaftman_2001 = BibtexReference('''
@article{vurgaftman_2001,
    title = {Band parameters for {III}-{V} compound semiconductors and their
             alloys},
    volume = {89},
    issn = {00218979},
    url = {http://jap.aip.org/resource/1/japiau/v89/i11/p5815_s1},
    doi = {doi:10.1063/1.1368156},
    number = {11},
    urldate = {2012-06-04},
    journal = {Journal of Applied Physics},
    author = {Vurgaftman, I. and Meyer, J. R and Ram-Mohan, L. R},
    month = jun,
    year = {2001},
    pages = {5815--5875},
}
''')

kane_1956 = BibtexReference('''
@article{kane_energy_1956,
    title = {Energy band structure in p-type germanium and silicon},
    volume = {1},
    issn = {0022-3697},
    url = {http://www.sciencedirect.com/science/article/pii/0022369756900142},
    doi = {10.1016/0022-3697(56)90014-2},
    abstract = {Energy-band calculations are made for the three valence bands in silicon and germanium in terms of the cyclotron resonance parameters. The energy in the band measured from k = 0 is not assumed small compared to the spin-orbit splitting so that parabolic bands do not result. The above calculation results from considering the first term of a perturbation expansion of the k.p and spin-orbit perturbations. The contributions from higher-order terms are examined and found to be important for germanium but not for silicon. Matrix elements for direct optical transitions between the valence bands are calculated from the cyclotron resonance constants. The free-carrier absorption is computed from the present band-structure calculations, and comparison is made with recent experimental data of R. Newman for germanium. A correction to the split-off valence-band calculations is estimated, using the experimental data. Formulae are derived for degenerate perturbation theory with two perturbations of different orders acting.},
    number = {1-2},
    urldate = {2015-03-14},
    journal = {Journal of Physics and Chemistry of Solids},
    author = {Kane, E. O.},
    month = sep,
    year = {1956},
    pages = {82--99}
}
''')

kim_2010 = BibtexReference('''
@article{kim_towards_2010,
    title = {Towards efficient band structure and effective mass calculations for {III}-{V} direct band-gap semiconductors},
    volume = {82},
    url = {http://link.aps.org/doi/10.1103/PhysRevB.82.205212},
    doi = {10.1103/PhysRevB.82.205212},
    number = {20},
    urldate = {2012-06-11},
    journal = {Physical Review B},
    author = {Kim, Yoon-Suk and Marsman, Martijn and Kresse, Georg and Tran, Fabien and Blaha, Peter},
    month = nov,
    year = {2010},
    pages = {205212},
}
''')

drube_1987 = BibtexReference('''
@article{kim_towards_2010,
    title = {Towards efficient band structure and effective mass calculations for {III}-{V} direct band-gap semiconductors},
    volume = {82},
    url = {http://link.aps.org/doi/10.1103/PhysRevB.82.205212},
    doi = {10.1103/PhysRevB.82.205212},
    number = {20},
    urldate = {2012-06-11},
    journal = {Physical Review B},
    author = {Kim, Yoon-Suk and Marsman, Martijn and Kresse, Georg and Tran, Fabien and Blaha, Peter},
    month = nov,
    year = {2010},
    pages = {205212},
}
''')

adachi_1987 = BibtexReference('''
@article{adachi_band_1987,
    title = {Band gaps and refractive indices of {AlGaAsSb}, {GaInAsSb}, and {InPAsSb}: {Key} properties for a variety of the 2--4-$\mu$m optoelectronic device applications},
    volume = {61},
    issn = {00218979},
    shorttitle = {Band gaps and refractive indices of {AlGaAsSb}, {GaInAsSb}, and {InPAsSb}},
    url = {http://jap.aip.org/resource/1/japiau/v61/i10/p4869_s1},
    doi = {doi:10.1063/1.338352},
    number = {10},
    urldate = {2013-03-07},
    journal = {Journal of Applied Physics},
    author = {Adachi, Sadao},
    month = may,
    year = {1987},
    pages = {4869--4876},
}
''')

lin_2002 = BibtexReference('''
@inproceedings{lin_band_2002,
    title = {Band structures and bandgap bowing parameters of wurtzite and zincblende {III}-nitrides},
    volume = {4913},
    url = {http://dx.doi.org/10.1117/12.482239},
    doi = {10.1117/12.482239},
    urldate = {2013-02-26},
    booktitle = {Proc. {SPIE}},
    author = {Lin, Wen-Wei and Kuo, Yen-Kuang},
    month = sep,
    year = {2002},
    pages = {236--247},
}
''')

klipstein_2014 = BibtexReference('''
@article{klipstein_modeling_2014,
    title = {Modeling {InAs}/{GaSb} and {InAs}/{InAsSb} {Superlattice} {Infrared} {Detectors}},
    volume = {43},
    issn = {0361-5235, 1543-186X},
    url = {http://link.springer.com/article/10.1007/s11664-014-3169-3},
    doi = {10.1007/s11664-014-3169-3},
    language = {en},
    number = {8},
    urldate = {2014-12-16},
    journal = {Journal of Electronic Materials},
    author = {Klipstein, P. C. and Livneh, Y. and Glozman, A. and Grossman, S. and Klin, O. and Snapi, N. and Weiss, E.},
    month = aug,
    year = {2014},
    pages = {2984--2990},
}
''')

arent_1989 = BibtexReference('''
@article{arent_1989,
    title = {Strain effects and band offsets in {GaAs}/{InGaAs} strained layered quantum structures},
    volume = {66},
    issn = {0021-8979, 1089-7550},
    url = {http://scitation.aip.org.ezproxy.lib.utexas.edu/content/aip/journal/jap/66/4/10.1063/1.344395},
    doi = {10.1063/1.344395},
    number = {4},
    urldate = {2014-04-04},
    journal = {Journal of Applied Physics},
    author = {Arent, D. J. and Deneffe, K. and Hoof, C. Van and Boeck, J. De and Borghs, G.},
    month = aug,
    year = {1989},
    keywords = {Epitaxy, Exciton mediated interactions, Heterojunctions, Hydrostatics, Materials analysis},
    pages = {1739--1747},
}
''')

adachi_1982 = BibtexReference('''
@article{adachi_1982,
    title = {Material parameters of {InGaAsP} and related binaries},
    volume = {53},
    issn = {0021-8979, 1089-7550},
    url = {http://scitation.aip.org.ezproxy.lib.utexas.edu/content/aip/journal/jap/53/12/10.1063/1.330480},
    doi = {10.1063/1.330480},
    number = {12},
    urldate = {2015-03-14},
    journal = {Journal of Applied Physics},
    author = {Adachi, Sadao},
    month = dec,
    year = {1982},
    pages = {8775--8792},
}
''')